/*
 * $Id: zip08dir.c $
 *
 * Author: Tomi Ollila <Tomi.Ollila@iki.fi>
 *
 * 	Copyright (c) 1999 Tomi Ollila
 * 	    All rights reserved
 *
 * Created: Sat Jun  5 13:19:22 1999 too
 * Last modified: Sat Jun 12 21:26:09 1999 too
 *
 * HISTORY 
 * $Log: $
 */

#include "zipx_priv.h"

#ifndef NULL
#define NULL 0
#endif

int readZipDirent(ZipFile * zf, ZipDirent * zde)
{
  if (zf->zdp == NULL)
    return -1;

  zde->compr = zf->zdp->compr;
  zde->size  = zf->zdp->usize;
  zde->name  = zf->zdp->fname;

  if (zf->zdp->next == 0)
    zf->zdp = NULL;
  else
    (char *)zf->zdp += zf->zdp->next;
  
  return 0;
}

void resetZipDir(ZipFile * zf)
{
  if (zf->zfi)
    zf->zdp = zf->zfi;
  else
    zf->zdp = NULL;
}
