/*
 * $Id: zipx_zipfp_priv.h $
 *
 * Author: Tomi Ollila <Tomi.Ollila@tfi.net>
 *
 * 	Copyright (c) 1999 TELE/IntSEP
 * 	    All rights reserved
 *
 * Created: Wed Jun 16 16:56:23 1999 too
 * Last modified: Wed Jun 16 17:55:20 1999 too
 *
 * HISTORY 
 * $Log: $
 */

#ifndef ZIPX_ZIPFP_PRIV_H
#define ZIPX_ZIPFP_PRIV_H

#include <zlib.h>

/*
 * ZipFp structure... currently no need to unionize, since structure needed
 * for inflate is superset of structure needed for unstore.
 *
 * Don't make this public. Instead, create methods for needed operations.
 */

struct ZipFile_s;

#define ZipFile struct ZipFile_s
struct ZipFp_s
{
  ZipFile * zf;
  int method;
  int restlen;
  int crestlen;
  char * buf32k;
  z_stream d_stream;
};
#undef ZipFile


#include "zipx_priv.h"

#endif /* ZIPX_ZIPFP_PRIV_H */
