#!/bin/sh

if [ -z "$1" ]; then
	echo "Usage: $0 file.zip"
	exit 1
fi

if [ ! -f info.set ]; then
	echo "You must provide an info.set file. Look at existing maps for format"
	exit 2
fi

zip $1 `perl -e 'foreach $i (1..\`ls *.map | wc -l\`) { print "level\$i.map " }'` info.set
